# Interface BimVertexData

interface BimVertexData {
indices: TypedArray;
normalType?: NormalType;
packedNormals: PackedNormals;
positions: TypedArray;
}

##### Index

### Properties

indices
normalType?
packedNormals
positions

## Properties

### `Readonly` indices

indices: TypedArray

### `Optional` `Readonly` normalType

normalType?: NormalType

### `Readonly` packedNormals

packedNormals: PackedNormals

### `Readonly` positions

positions: TypedArray